﻿Public Class IniciAdmin
    Inherits System.Web.UI.Page
    Dim gestorNoticies As GestorNoticiesBD = New GestorNoticiesBD()

    ''' <summary>
    ''' Construeix una noticia
    ''' </summary>
    ''' <param name="id">id</param>
    ''' <remarks></remarks>
    Sub ConstruirNoticia(ByVal id As Integer)
        Try
            For Each noticia In gestorNoticies.RetornaNoticia(id)
                NoticiaActiva.id = noticia.Id
                NoticiaActiva.contingut = noticia.Contingut
                NoticiaActiva.data = noticia.DataAlta
                NoticiaActiva.titol = noticia.TextEnllac
            Next

        Catch ex As Exception
            MsgBox(Resources.Missatges.Error_PaginaIniciXXX_ConstruirNoticia & ex.Message, vbExclamation)

        End Try
    End Sub

    ''' <summary>
    '''  Carrega la llista de noticies del perfil
    ''' </summary>
    ''' <remarks></remarks>
    Sub CarregaNoticies()
        Try
            Dim llista As Integer = 1
            For Each noticia In gestorNoticies.RetornaLlistaNoticies(UsuariActiu.perfilUsuari)
                If llista < 10 Then
                    Dim enllac As MenuItem = New MenuItem()
                    enllac.Text = UCase(noticia.TextEnllac) & vbTab & "    >>>  veure més "
                    enllac.Value = noticia.Id
                    MenuNoticies.Items.Add(enllac)
                   
                    Dim textPrevi As MenuItem = New MenuItem()
                    textPrevi.Text = Left(noticia.Contingut, 100) & " ..."
                    textPrevi.Value = "nul" & llista
                    MenuNoticies.Items.Add(textPrevi)

                    Dim separador As MenuItem = New MenuItem()
                    separador.Text = "_"
                    separador.Value = "nul" & "separador" & llista
                    MenuNoticies.Items.Add(separador)
                Else
                    Exit For
                End If
                
                llista = llista + 1
            Next

        Catch ex As Exception
            MsgBox(Resources.Missatges.Error_PaginaIniciXXX_CarregaNoticies & ex.Message, vbExclamation)
        End Try
    End Sub
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        'impedim anar enrere cap a Login

        If Not IsPostBack Then
            CarregaNoticies()
        End If
        


    End Sub

    
    Protected Sub MenuNoticies_MenuItemClick(sender As Object, e As System.Web.UI.WebControls.MenuEventArgs) Handles MenuNoticies.MenuItemClick
        If Not e.Item.Value.Contains("nul") Then
            ConstruirNoticia(e.Item.Value)
            Response.Redirect("~/Pagines/VistaNoticia.aspx")


        End If

       
    End Sub

    Protected Sub Menu1_MenuItemClick(sender As Object, e As System.Web.UI.WebControls.MenuEventArgs) Handles Menu1.MenuItemClick

    End Sub
End Class