﻿Public Class LoginInici
    Inherits System.Web.UI.Page
    Dim gestor As GestorUsuarisBD = New GestorUsuarisBD()
   


    ''' <summary>
    ''' Realitza les tasques d'autenticació del usuari
    ''' </summary>
    ''' <remarks></remarks>
    Sub Autenticacio()
        gestor.CarregaUsuariActiu(TextBoxNomUser.Text, TextBoxPass.Text)
        Dim desti As String = ""
        Try
            If UsuariActiu.perfilUsuari.Contains("Administrador") Then
                desti = "~/Pagines/IniciAdmin.aspx"
            ElseIf UsuariActiu.perfilUsuari.Contains("Tutor") Then
                desti = "~/Pagines/IniciTutor.aspx"
            ElseIf UsuariActiu.perfilUsuari.Contains("Alumne") Then
                desti = "~/Pagines/IniciAlumne.aspx"
            Else
                MsgBox(Resources.Missatges.Error_PaginaLogin_AutenticacioIncorrecte, vbInformation)
                desti = "~/Pagines/LoginInici.aspx"
            End If
            'comprovem inactiu
            If UsuariActiu.estatUsuari = 0 Then
                MsgBox(Resources.Missatges.Info_PaginaLogin_UsuariInactiu)
                desti = "~/Pagines/LoginInici.aspx"
            End If
        Catch ex As Exception
            MsgBox(Resources.Missatges.Error_PaginaLogin_AutenticacioIncorrecte, vbInformation)
            desti = "~/Pagines/LoginInici.aspx"

        End Try
        Response.Redirect(desti)

    End Sub
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
       
    End Sub

    Protected Sub TextBox1_TextChanged(sender As Object, e As EventArgs) Handles TextBoxNomUser.TextChanged

    End Sub

    Protected Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        Autenticacio()

    End Sub
End Class