﻿Public Class VistaAjuda
    Inherits System.Web.UI.Page
    Dim gestor As GestorAjudaBD = New GestorAjudaBD()


    ''' <summary>
    '''  Redirecciona a la pàgina d'inici del perfil del usuari
    ''' </summary>
    ''' <remarks></remarks>
    Sub IniciUsuari()
        Dim desti As String = ""

        If UsuariActiu.perfilUsuari.Contains("Administrador") Then
            desti = "~/Pagines/IniciAdmin.aspx"
        ElseIf UsuariActiu.perfilUsuari.Contains("Tutor") Then
            desti = "~/Pagines/IniciTutor.aspx"
        ElseIf UsuariActiu.perfilUsuari.Contains("Alumne") Then
            desti = "~/Pagines/IniciAlumne.aspx"
        End If

        Response.Redirect(desti)
    End Sub

    ''' <summary>
    ''' Carrega la llista de FAQ
    ''' </summary>
    ''' <remarks></remarks>
    Sub CarregaAjuda()
        Try
            For Each faq In gestor.RetornaLlistaFAQ()
                Dim pregunta As New Literal
                pregunta.Text = faq.Pregunta
                Panel1.Controls.Add(pregunta)

                Dim espai As New Literal
                espai.Text = "<br />"
                Panel1.Controls.Add(espai)

                Dim resposta As New Literal
                resposta.Text = faq.Resposta
                Panel1.Controls.Add(resposta)

                Dim espaiGran As New Literal
                espaiGran.Text = "<br /><br />"
                Panel1.Controls.Add(espaiGran)
               
            Next
            Dim espaiGran2 As New Literal
            espaiGran2.Text = "<br /><br />"
            Panel1.Controls.Add(espaiGran2)

            Dim missatgeAdmin As New HyperLink
            missatgeAdmin.Text = Resources.Missatges.Info_PaginaVistaAjuda_MissatgeAdmin
            missatgeAdmin.NavigateUrl = "~/Pagines/IniciBustia.aspx"
            Panel1.Controls.Add(missatgeAdmin)
        Catch ex As Exception
            MsgBox(Resources.Missatges.Error_PaginaVistaAjuda_CarregaLlistaFAQ & ex.Message, vbExclamation)

        End Try
    End Sub
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        CarregaAjuda()


    End Sub

    Protected Sub Menu1_MenuItemClick(sender As Object, e As System.Web.UI.WebControls.MenuEventArgs) Handles Menu1.MenuItemClick
        If Menu1.SelectedItem.Value.Contains("Inici") Then IniciUsuari()

    End Sub
End Class