﻿Public Class VistaMissatge
    Inherits System.Web.UI.Page

    Dim gestorMissatges As GestorBustiaBD = New GestorBustiaBD()
    Dim gestorUsuaris As GestorUsuarisBD = New GestorUsuarisBD()
    Dim queryMissatge As System.Data.Linq.ISingleResult(Of RecuperaMissatgeResult)
    Dim idMissatgeActual As Integer

    ''' <summary>
    ''' Crea una nova fila de taula
    ''' </summary>
    ''' <param name="fila">Dades de la fila</param>
    ''' <remarks></remarks>
    Sub novaFila(ByVal fila As RecuperaHistorialResult)
        Dim filaNova As TableRow = New TableRow()
        Dim cela As TableCell = New TableCell()
        Dim cela2 As TableCell = New TableCell()
        Dim cela3 As TableCell = New TableCell()
        cela.Text = fila.Accio
        filaNova.Cells.Add(cela)
        cela2.Text = fila.Data
        filaNova.Cells.Add(cela2)
        cela3.Text = gestorUsuaris.ObteNomiCognomsUsuari(fila.IdUsuari)
        filaNova.Cells.Add(cela3)
        TableHistorial.Rows.Add(filaNova)
    End Sub

    ''' <summary>
    ''' Carrega les dades del missatge seleccionat a la pàgina web anterior
    ''' </summary>
    ''' <remarks></remarks>
    Sub CarregarMissatge()

        For Each missatge In gestorMissatges.RecuperaMissatge(Session("missatgeSeleccionat"))
            'recuperem les dades del missatge
            LabelDe.Text = gestorUsuaris.ObteNomiCognomsUsuari(missatge.Remitent)
            LabelEnviat.Text = gestorMissatges.ObteDataEnviat(missatge.Id, UsuariActiu.idUsuari)
            LabelAssumpte.Text = missatge.Assumpte
            TextBoxCos.Text = missatge.Cos
            idMissatgeActual = missatge.Id
            'marquem el missatge com llegit per l'historial
            gestorMissatges.MarcaMissatgeComLlegit(missatge.Id, UsuariActiu.idUsuari)
            'recuperem el historial del missatge i mostrem la llista
            'omplim la taula amb les dades del historial
            For Each m In gestorMissatges.RecuperaHistorial(missatge.Id, UsuariActiu.idUsuari)
                novaFila(m)
            Next

        Next
    End Sub

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

        CarregarMissatge()
    End Sub

    Protected Sub Menu1_MenuItemClick(sender As Object, e As System.Web.UI.WebControls.MenuEventArgs) Handles Menu1.MenuItemClick
        Select Case e.Item.Value
            Case "Respón"
                Session("Resposta") = "SI"
                Response.Redirect("~/Pagines/NouMissatge.aspx")
        End Select
        Response.Redirect("~/Pagines/IniciBustia.aspx")
    End Sub

    Protected Sub CheckBox1_CheckedChanged(sender As Object, e As EventArgs) Handles CheckBox1.CheckedChanged
        If CheckBox1.Checked = True Then
            TableHistorial.Visible = True
        Else
            TableHistorial.Visible = False
        End If
    End Sub
End Class