﻿Public Class CanviContrasenya
    Inherits System.Web.UI.Page
    Dim gestor As GestorUsuarisBD = New GestorUsuarisBD()


    ''' <summary>
    ''' Comprova la validesa de la paraula de pas del usuari
    ''' </summary>
    ''' <param name="idUsuari"></param>
    ''' <param name="pass"></param>
    ''' <returns>0 si correcte, 1 altrament</returns>
    ''' <remarks></remarks>
    Function ComprovaContrasenya(ByVal idUsuari As String, ByVal pass As String) As Integer
        Dim resultat As Integer = 0
        Try
            If gestor.ValidaContrasenya(idUsuari, pass) = 0 Then 'correcte la paraula actual
                If TextBoxNova.Text = "" Or Len(TextBoxNova.Text) > 10 Then
                    Utils.MostrarInformacioAccio(Resources.Missatges.Error_PantallaCanviContrasenya_Nova, LabelInfo, Timer1)
                    resultat = 1
                    Return resultat
                ElseIf Not TextBoxNova.Text.Trim(" ").Equals(TextBoxReNova.Text) Then
                    Utils.MostrarInformacioAccio(Resources.Missatges.Error_PantallaCanviContrasenya_ReNova, LabelInfo, Timer1)
                    resultat = 1
                    Return resultat
                End If
                resultat = 0
                Return resultat
            Else
                Utils.MostrarInformacioAccio(Resources.Missatges.Error_PantallaCanviContrasenya_ComprovaContrasenyaKO, LabelInfo, Timer1)
                resultat = 1
                Return resultat
            End If
        Catch ex As Exception
            Utils.MostrarInformacioAccio(Resources.Missatges.Error_PantallaCanviContrasenya_ComprovaContrasenya & ex.Message, LabelInfo, Timer1)
            resultat = 1
            Return resultat
        End Try
        
        Return resultat

    End Function

    ''' <summary>
    ''' Actualitza la paraula de pas del usuari actiu
    ''' </summary>
    ''' <param name="idUsuari"></param>
    ''' <param name="pass"></param>
    ''' <returns>0 si correcte, 1 altrament</returns>
    ''' <remarks></remarks>
    Function ActualizaPassword(ByVal idUsuari As String, ByVal pass As String)
        Return gestor.ActualitzaPass(idUsuari, pass)
    End Function


    Protected Sub Timer1_Tick(sender As Object, e As EventArgs) Handles Timer1.Tick
        LabelInfo.Visible = False
        Timer1.Enabled = False

    End Sub

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

    End Sub

    Protected Sub ButtonTornar_Click(sender As Object, e As EventArgs) Handles ButtonTornar.Click
       
        Response.Redirect("~/Pagines/Perfil.aspx")
    End Sub

    Protected Sub ButtonCanvia_Click(sender As Object, e As EventArgs) Handles ButtonCanvia.Click
        If ComprovaContrasenya(UsuariActiu.idUsuari, TextBoxAntiga.Text) = 0 Then
            If ActualizaPassword(UsuariActiu.idUsuari, TextBoxNova.Text) = 0 Then
                Utils.MostrarInformacioAccio(Resources.Missatges.Info_PaginaCanviContrasenya_Canvi_OK, LabelInfo, Timer1)
            Else
                Utils.MostrarInformacioAccio(Resources.Missatges.Info_PaginaCanviContrasenya_Canvi_KO, LabelInfo, Timer1)
            End If
        End If


    End Sub
End Class