﻿Public Class Enviats
    Inherits System.Web.UI.Page
    Dim gestorMissatges As GestorBustiaBD = New GestorBustiaBD()
    Dim gestorUsuaris As GestorUsuarisBD = New GestorUsuarisBD()
    ''' <summary>
    ''' Recupera la llista de missatges enviats
    ''' </summary>
    ''' <remarks></remarks>
    Sub RecuperaEnviats()
        Try
            'recuperem la llista de missatges enviats del usuari =idusuari
            GridViewEnviats.DataSource = gestorMissatges.RecuperaMissatgesEnviats(UsuariActiu.idUsuari)
            GridViewEnviats.DataBind()
            'Controlem la vista prèvia
            For Each missatge As GridViewRow In GridViewEnviats.Rows
                If Len(missatge.Cells(5).Text) > 20 Then 'escurçem el contingut del cos
                    missatge.Cells(5).Text = Left(missatge.Cells(5).Text, 15) & "..."
                End If
                'convertim id a nom i cognoms
                missatge.Cells(2).Text = gestorUsuaris.ObteNomiCognomsUsuari(missatge.Cells(2).Text)
                missatge.Cells(3).Text = gestorUsuaris.ObteNomiCognomsUsuari(missatge.Cells(3).Text)
            Next
        Catch ex As Exception
            MsgBox(Resources.Missatges.Error_PaginaEnviats_CarregaEnviats & ex.Message, vbExclamation)
        End Try
        
    End Sub

    ''' <summary>
    ''' llegeix el missatge seleccionat
    ''' </summary>
    ''' <remarks></remarks>
    Sub LlegeixMissatge()
        Dim seleccionat As GridViewRow
        seleccionat = GridViewEnviats.SelectedRow
        'ATENCIO aqui agafem el valor del IdMissatge a llegir.Vigilar el index de la columna
        Session("missatgeSeleccionat") = seleccionat.Cells(1).Text
        Response.Redirect("~/Pagines/VistaMissatge.aspx")
    End Sub
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        RecuperaEnviats()
        
    End Sub

    Protected Sub GridViewEnviats_SelectedIndexChanged(sender As Object, e As EventArgs) Handles GridViewEnviats.SelectedIndexChanged
        LlegeixMissatge()
       
    End Sub
    Protected Sub GridViewEnviats_PageIndexChanging(ByVal sender As Object, ByVal e As GridViewPageEventArgs) Handles GridViewEnviats.PageIndexChanging
        GridViewEnviats.PageIndex = e.NewPageIndex

        RecuperaEnviats()

    End Sub

End Class