﻿Public Class Perfil
    Inherits System.Web.UI.Page


    ''' <summary>
    '''  Redirecciona a la pàgina d'inici del perfil del usuari
    ''' </summary>
    ''' <remarks></remarks>
    Sub IniciUsuari()
        Dim desti As String = ""

        If UsuariActiu.perfilUsuari.Contains("Administrador") Then
            desti = "~/Pagines/IniciAdmin.aspx"
        ElseIf UsuariActiu.perfilUsuari.Contains("Tutor") Then
            desti = "~/Pagines/IniciTutor.aspx"
        ElseIf UsuariActiu.perfilUsuari.Contains("Alumne") Then
            desti = "~/Pagines/IniciAlumne.aspx"
        End If

        Response.Redirect(desti)
    End Sub

    ''' <summary>
    ''' Carrega les dades del perfil
    ''' </summary>
    ''' <remarks></remarks>
    Sub CarregaPerfil()
        TextBoxId.Text = UsuariActiu.idUsuari
        TextBoxNom.Text = UsuariActiu.nomUsuari
        TextBoxCognoms.Text = UsuariActiu.cognomUsuari
        TextBoxAdreca.Text = UsuariActiu.dirUsuari
        TextBoxTelefon.Text = UsuariActiu.telUsuari
        TextBoxEmail.Text = UsuariActiu.mailUsuari
        CalendarDataAlta.SelectedDate = UsuariActiu.dataAlta
        TextBoxNomUser.Text = UsuariActiu.userUsuari

    End Sub
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        CarregaPerfil()
    End Sub

    Protected Sub Menu1_MenuItemClick(sender As Object, e As System.Web.UI.WebControls.MenuEventArgs) Handles Menu1.MenuItemClick
        If Menu1.SelectedItem.Value.Contains("Inici") Then IniciUsuari()

    End Sub

    Protected Sub TextBoxNom_TextChanged(sender As Object, e As EventArgs) Handles TextBoxNom.TextChanged

    End Sub
End Class