﻿Public Class VistaNoticia
    Inherits System.Web.UI.Page

    ''' <summary>
    ''' Carrega les dades de la noticia seleccionada
    ''' </summary>
    ''' <remarks></remarks>
    Sub CarregaNoticia()
        LabelTitol.Text = NoticiaActiva.titol & "(" & NoticiaActiva.data & ")"
        TextBoxNoticia.Text = NoticiaActiva.contingut

    End Sub

    ''' <summary>
    ''' Enrere
    ''' </summary>
    ''' <remarks></remarks>
    Sub RetornaInici()
        Dim desti As String = ""
        If UsuariActiu.perfilUsuari.Contains("Administrador") Then
            desti = "~/Pagines/IniciAdmin.aspx"
        ElseIf UsuariActiu.perfilUsuari.Contains("Tutor") Then
            desti = "~/Pagines/IniciTutor.aspx"
        ElseIf UsuariActiu.perfilUsuari.Contains("Alumne") Then
            desti = "~/Pagines/IniciAlumne.aspx"
        End If
        Response.Redirect(desti)
    End Sub
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        CarregaNoticia()
    End Sub

    

    Protected Sub ButtonTornar_Click(sender As Object, e As EventArgs) Handles ButtonTornar.Click
        RetornaInici()
    End Sub
End Class